curl -G https://api.chargeapi.co/v1/reports \
-H "Authorization: Bearer ch_sk_test_..." \
-d status=pending \
-d limit=10
{
"data": [
{
"id": "rpt_pmvPjgaYmrCkk5ZpijdHUsKxeAe8ZlJu",
"object": "report",
"account": "acct_FxzwvKCzrlLEzOFsBXTUcD8olLuLb3qI",
"created": "2026-05-02T00:44:48.904Z",
"fleet": "flt_Za99zoTOnups7KDvySHSXzATBQ86E91B",
"parameters": {
"filters": {
"vehicle": ["veh_SZ7BwCEFF2JsgwmxbvvBmCJUKHa6jmLN"]
},
"group_by": "vehicle",
"period_end": "2026-05-02T00:44:40.825Z",
"period_start": "2026-04-01T00:44:23.896Z",
"type": "charging_summary"
},
"size": 0,
"status": "pending",
"succeeded_at": null,
"type": "csv",
"url": null
}
],
"next_page_url": "https://api.chargeapi.co/v1/reports?page=page_XtZ5qLR3nykqX3aFIK0Kx4ldZJJAlX94uYqGX4BAeR0&status=pending&limit=10",
"previous_page_url": null
}
Reports
List Reports
curl -G https://api.chargeapi.co/v1/reports \
-H "Authorization: Bearer ch_sk_test_..." \
-d status=pending \
-d limit=10
{
"data": [
{
"id": "rpt_pmvPjgaYmrCkk5ZpijdHUsKxeAe8ZlJu",
"object": "report",
"account": "acct_FxzwvKCzrlLEzOFsBXTUcD8olLuLb3qI",
"created": "2026-05-02T00:44:48.904Z",
"fleet": "flt_Za99zoTOnups7KDvySHSXzATBQ86E91B",
"parameters": {
"filters": {
"vehicle": ["veh_SZ7BwCEFF2JsgwmxbvvBmCJUKHa6jmLN"]
},
"group_by": "vehicle",
"period_end": "2026-05-02T00:44:40.825Z",
"period_start": "2026-04-01T00:44:23.896Z",
"type": "charging_summary"
},
"size": 0,
"status": "pending",
"succeeded_at": null,
"type": "csv",
"url": null
}
],
"next_page_url": "https://api.chargeapi.co/v1/reports?page=page_XtZ5qLR3nykqX3aFIK0Kx4ldZJJAlX94uYqGX4BAeR0&status=pending&limit=10",
"previous_page_url": null
}
Returns a paginated list of report objects. Results are sorted by creation date, with the most recent reports first.
curl -G https://api.chargeapi.co/v1/reports \
-H "Authorization: Bearer ch_sk_test_..." \
-d status=pending \
-d limit=10
{
"data": [
{
"id": "rpt_pmvPjgaYmrCkk5ZpijdHUsKxeAe8ZlJu",
"object": "report",
"account": "acct_FxzwvKCzrlLEzOFsBXTUcD8olLuLb3qI",
"created": "2026-05-02T00:44:48.904Z",
"fleet": "flt_Za99zoTOnups7KDvySHSXzATBQ86E91B",
"parameters": {
"filters": {
"vehicle": ["veh_SZ7BwCEFF2JsgwmxbvvBmCJUKHa6jmLN"]
},
"group_by": "vehicle",
"period_end": "2026-05-02T00:44:40.825Z",
"period_start": "2026-04-01T00:44:23.896Z",
"type": "charging_summary"
},
"size": 0,
"status": "pending",
"succeeded_at": null,
"type": "csv",
"url": null
}
],
"next_page_url": "https://api.chargeapi.co/v1/reports?page=page_XtZ5qLR3nykqX3aFIK0Kx4ldZJJAlX94uYqGX4BAeR0&status=pending&limit=10",
"previous_page_url": null
}
Parameters
integer
Maximum number of objects to return (default 10).
string
Page token from a previous list response.
string
Filter results by report status.Available options:
pending, succeeded, failedReturns
Returns a page of reports.array of object
required
Array of report objects.
string | null
required
URL for the next page of results, or
null when there is no next page.string | null
required
URL for the previous page of results, or
null when there is no previous page.
